| pktools 2.6.7 Processing Kernel for geospatial data

pkdsm2shadow

program to calculate sun shadow based on digital surface model and sun angles

## SYNOPSIS

`Usage: pkdsm2shadow -i input.txt -o output [-sza angle] [-saa angle]`

``

`Options: [-f value] [-ot type] [-of GDALformat] [-ct filename] [-co option]*`

`Advanced options: [–scale value] [–offset value]`

# Description

Utility to create a binary shadow mask from a digital surface model, based on Sun zenith (-sza) and azimuth angles (-saa).

# Options

- use either `-short` or `--long` options (both `--long=value` and `--long value` are supported)
- short option `-h` shows basic options only, long option `--help` shows all options

  short | long | type | default | description
  --- | --- | --- | --- | ---
  i | input | std::string |  | input image file
  o | output | std::string |  | Output image file
  sza | sza | double |  | Sun zenith angle.
  saa | saa | double |  | Sun azimuth angle (N=0 E=90 S=180 W=270).
  f | flag | int | 0 | Flag to put in image if pixel shadow
  s | scale | double |  | scale used for input dsm: height=scale*input+offset
  off | offset | double |  | offset used for input dsm: height=scale*input+offset
  co | co | std::string |  | Creation option for output file. Multiple options can be specified.
  ot | otype | std::string |  | Data type for output image ({Byte/Int16/UInt16/UInt32/Int32/Float32/Float64/CInt16/CInt32/CFloat32/CFloat64}). Empty string: inherit type from input image
  of | oformat | std::string | GTiff | Output image format (see also gdal_translate).
  ct | ct | std::string |  | color table (file with 5 columns: id R G B ALFA (0: transparent, 255: solid)

Usage: pkdsm2shadow -i input.txt -o output [-sza angle] [-saa angle]

# Examples

Some examples how to use pkdsm2shadow can be found here